'use client'

import { AuthGuard } from '@/components/auth-guard'
import { SellerMarket } from '@/components/market/seller-market'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function SellerMarketPage() {
  useRoleGuard('SELLER')

  return (
    <AuthGuard>
      <SellerMarket />
    </AuthGuard>
  )
}
